<?php
define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On inclu le header
include( $location . 'admin/header.php' );

// Rcupration des donnes
if( isset( $_GET['id'] ) || isset( $_POST['id'] ) )
{
	$id = ( isset( $_GET['id'] ) ) ? htmlSpecialChars( $_GET['id'] ) : htmlSpecialChars( $_POST['id'] );
}
else
{
	$id = '';
}

if( isset( $_GET['mode'] ) || isset( $_POST['mode'] ) )
{
	$mode = ( isset( $_GET['mode'] ) ) ? htmlSpecialChars( $_GET['mode'] ) : htmlSpecialChars( $_POST['mode'] );
}
else
{
	$mode = '';
}


try
{
$result_Cat = $WPM_new_Pdo->prepare("SELECT * FROM cat_news WHERE id =? ");		
$result_Cat->execute(array($id));
$categorie = $result_Cat->fetch(PDO::FETCH_NUM);
}
catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}

$Tpl->set_filenames( array( 'catnews' => 'admin/cat_news.tpl' ) );
// variable global

if ( $_POST['send_config_cat_news'])
{
	if( $_POST['type_news_cat'] == 2 )
	{
	$type_news_cat = $_POST['emplacement_cat'];	
	}
	elseif( $_POST['type_news_cat'] == 1 )
	{
	$type_news_cat = '1';	
	}
	elseif( $_POST['type_news_cat'] == 0 )
	{
	$type_news_cat = '0';	
	}
	try{
		$Insert_Historique = $WPM_new_Pdo->prepare("INSERT INTO historique (user,date,action) VALUES (:user,:date,:action)");
		  $Insert_Historique->bindValue(':user',  $utilisateur['user'], PDO::PARAM_STR );
		  $Insert_Historique->bindValue(':date',date("d-m-Y").' &agrave; '.date("H:m:s"), PDO::PARAM_STR);
		  $Insert_Historique->bindValue(':action', '&Agrave; Modifi&eacute; la configuration des Cat&eacute;gorie de news : ', PDO::PARAM_STR);
		  $Insert_Historique->execute();
		
		$Update_Origine=$WPM_new_Pdo->prepare("UPDATE configwpm SET cat_news_sys=:cat, emplacement_cat_news =:emplacement WHERE id=:id");
		$Update_Origine->bindValue(":cat",$_POST['type_news_cat'], PDO::PARAM_STR);
		$Update_Origine->bindValue(":emplacement",$type_news_cat , PDO::PARAM_STR);
		$Update_Origine->bindValue(":id",'1', PDO::PARAM_INT);
		$Update_Origine->execute();
		redirection( '../admin/cat_news.php?rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}				
		}

if( $config['cat_news_sys'] == 0 )
{
$Tpl->create_block( 'type_classic' );	
}
if( $config['cat_news_sys'] == 2 )
{
$Tpl->create_block( 'type_affich' );	
}
if( $config['cat_news_sys'] == 1 )
{
$Tpl->create_block( 'type_date' );	
}
if( $config['cat_news_sys'] == 2 )
{
$Tpl->create_block( 'type_categorie' );
if ( $mode == 'ajouter' )
	{
		$Tpl->create_block( 'ajouter' );
	}
		if( isset($_POST['ajouter_cat'])  ) 
	  	{
		try{
		  $Insert_Historique = $WPM_new_Pdo->prepare("INSERT INTO historique (user,date,action) VALUES (:user,:date,:action)");
		  $Insert_Historique->bindValue(':user',  $utilisateur['user'], PDO::PARAM_STR );
		  $Insert_Historique->bindValue(':date',date("d-m-Y").' &agrave; '.date("H:m:s"), PDO::PARAM_STR);
		  $Insert_Historique->bindValue(':action', '&Agrave; ajout&eacute; une Cat&eacute;gorie news : '.htmlentities($_POST['titre']), PDO::PARAM_STR);
		  $Insert_Historique->execute();
		  
		  $Insert_Cat_News = $WPM_new_Pdo->prepare("INSERT INTO cat_news (titre_cat_news,description_cat_news,image_cat_news,validation_cat_news) VALUES (:titre_cat_news,:description_cat_news,:image_cat_news,:validation_cat_news)");
		  $Insert_Cat_News->bindValue(':titre_cat_news',  htmlentities($_POST['titre_news_cat']), PDO::PARAM_STR );
		  $Insert_Cat_News->bindValue(':description_cat_news',htmlentities($_POST['sujet']), PDO::PARAM_STR);
		  $Insert_Cat_News->bindValue(':image_cat_news', htmlentities($_POST['image_cat_news']), PDO::PARAM_STR);
		  $Insert_Cat_News->bindValue(':validation_cat_news', htmlentities($_POST['validation_cat_news']), PDO::PARAM_STR);
		  $Insert_Cat_News->execute();	
		  
		  redirection( '../admin/cat_news.php?rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], '<p>Erreur  : '.$e->getMessage().'</p>
										<p>Code Erreur N : '.$e->getCode().'</p>
										<p>Fichier :'.$e->getFile().'</p>
										<p>Ligne : '. $e->getLine().'</p>') ;
										}	
	 	 }
		 
if ( $mode == 'activer')
{
	try{
		
		$Update_Config=$WPM_new_Pdo->prepare("UPDATE cat_news SET validation_cat_news=:validation  WHERE id=:id ");
		$Update_Config->bindValue(":validation",'1', PDO::PARAM_INT);
		$Update_Config->bindValue(":id",$id, PDO::PARAM_INT);
		$Update_Config->execute();
		redirection( '../admin/cat_news.php?mode=read&rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}				
		}				


if ( $mode == 'defaut')
{
		try{
		
		$Update_Cat=$WPM_new_Pdo->prepare("UPDATE cat_news SET defaut_cat_news=:cat  WHERE defaut_cat_news=:value ");
		$Update_Cat->bindValue(":cat",'0', PDO::PARAM_INT);
		$Update_Cat->bindValue(":value",'1', PDO::PARAM_INT);
		$Update_Cat->execute();
		
		$Update_defaut=$WPM_new_Pdo->prepare("UPDATE cat_news SET defaut_cat_news=:news  WHERE id=:id ");
		$Update_defaut->bindValue(":news",'1', PDO::PARAM_INT);
		$Update_defaut->bindValue(":id",$id, PDO::PARAM_INT);
		$Update_defaut->execute();
		
		$Update_Config=$WPM_new_Pdo->prepare("UPDATE configwpm SET defaut_cat_news=:values WHERE id=:id");
		$Update_Config->bindValue(":values",$id, PDO::PARAM_INT);
		$Update_Config->bindValue(":id",'1', PDO::PARAM_INT);
		$Update_Config->execute();
		redirection( '../admin/cat_news.php?mode=read&rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}				
						
}	
if ( $mode == 'nodefaut')
{

		try{
		
		$Update_Cat=$WPM_new_Pdo->prepare("UPDATE cat_news SET defaut_cat_news=:cat  WHERE defaut_cat_news=:value ");
		$Update_Cat->bindValue(":cat",'0', PDO::PARAM_INT);
		$Update_Cat->bindValue(":value",'1', PDO::PARAM_INT);
		$Update_Cat->execute();
		
		$Update_Config=$WPM_new_Pdo->prepare("UPDATE configwpm SET defaut_cat_news=:values WHERE id=:id");
		$Update_Config->bindValue(":values",'0', PDO::PARAM_INT);
		$Update_Config->bindValue(":id",'1', PDO::PARAM_INT);
		$Update_Config->execute();
		redirection( '../admin/cat_news.php?mode=read&rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}					
}
if ( $mode == 'desactiver' && $categorie[5] == 0)
{
		try{
		
		$Update_defaut=$WPM_new_Pdo->prepare("UPDATE cat_news SET validation_cat_news=:news  WHERE id=:id ");
		$Update_defaut->bindValue(":news",'0', PDO::PARAM_INT);
		$Update_defaut->bindValue(":id",$id, PDO::PARAM_INT);
		$Update_defaut->execute();
		redirection( '../admin/cat_news.php?mode=read&rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}					
}
	
if ( $mode == 'read' )
	{
		$Tpl->create_block( 'read' );
		}
		try
		{
		$result_Categorie = $WPM_new_Pdo->prepare("SELECT * FROM cat_news ORDER BY id ");		
		$result_Categorie->execute();
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}
		
		$count_catnews = 0;
		$count_nocatnews = 0;
		while($catnews = $result_Categorie->fetch())
		{
			if( $catnews['defaut_cat_news'] == 1 )
			{
				$count_nocatnews++;	
			}
		$count_catnews++;	
		$Tpl->assign_block_vars( 'cat', array(
			'CAT_ID'			=> $catnews['id'],
			'CAT_TITRE'			=> stripslashes($catnews['titre_cat_news']),
			'CAT_IMG'			=> $catnews['image_cat_news'] != '' ? '<img src="'.stripslashes($catnews['image_cat_news']).'" alt="" />' : '',
			'CAT_TXT'			=> stripslashes($catnews['description_cat_news']),
			'CAT_ETAT'			=> $catnews['validation_cat_news'] == 1 ? ($catnews['defaut_cat_news'] == 1 ? '<img src="../img/sys/lock.png" alt=""> Ne peut pas &ecirc;tre d&eacute;sactiv&eacute;' : '<a href="cat_news.php?mode=desactiver&id='.$catnews['id'].'" title="Clic pour d&eacute;sactiver"><img src="../img/sys/ok.png" alt=""> Clic pour d&eacute;sactiver</a>') :'<a href="cat_news.php?mode=activer&id='.$catnews['id'].'" title="Clic pour activer"><img src="../img/sys/delete.png" alt=""> clic pour activer</a>' ,
			'CAT_ETAT_BG'		=> $catnews['validation_cat_news'] == 1 ? '#C1F5CD' :'#F5B3B3' ,
			'DEFAUT_CAT'		=> $catnews['defaut_cat_news'] == 1 ? '#C1F5CD' : ($catnews['validation_cat_news'] == 1 ? 'transparent' : '#F5B3B3') ,
			'CAT_DEFAUT'		=> $catnews['defaut_cat_news'] == 1 ? '' :($catnews['validation_cat_news'] == 1 ? '<br><a href="cat_news.php?mode=defaut&id='.$catnews['id'].'" title="Clic pour d&eacute;signer par dfaut">Choisir cette cat&eacute;gorie</a>' : '<br><img src="../img/sys/lock.png" alt=""> Est d&eacute;sactiv&eacute;') ,
			'CAT_DELET'			=> $catnews['defaut_cat_news'] == 1 ? 'Supprimer <img src="../img/sys/lock.png" alt="">' : '<a href="cat_news.php?mode=delet&id='.$catnews['id'].'" title="Supprimer">Supprimer <img src="../img/sys/page_delete.png" alt="" /></a>',
			'BG_DELETE'			=> $catnews['defaut_cat_news'] == 1 ? '#F5B3B3' : 'transparent',
		));
		
		}	
	


if ( $mode == 'edite' && $id !='' && is_numeric($id) )
	{
		$Tpl->create_block( 'edite' );
		}
		$Tpl->assign_vars( array(
			'CAT_ID'			=> $categorie[0],
			'CAT_TITRE'			=> stripslashes($categorie[1]),
			'CAT_IMG'			=> $categorie[3],
			'CAT_TXT'			=> stripslashes($categorie[2]),
		));
		
			
if ( isset($_POST['editer_cat']))
{
try{
		$Insert_Historique = $WPM_new_Pdo->prepare("INSERT INTO historique (user,date,action) VALUES (:user,:date,:action)");
		  $Insert_Historique->bindValue(':user',  $utilisateur['user'], PDO::PARAM_STR );
		  $Insert_Historique->bindValue(':date',date("d-m-Y").' &agrave; '.date("H:m:s"), PDO::PARAM_STR);
		  $Insert_Historique->bindValue(':action', '&Agrave; &eacute;dit&eacute; la  Cat&eacute;gorie de news : '.htmlentities($_POST['titre_news_cat']), PDO::PARAM_STR);
		  $Insert_Historique->execute();
		
		$Update_Origine=$WPM_new_Pdo->prepare("UPDATE cat_news SET titre_cat_news=:cat, image_cat_news=:img, description_cat_news=:description  WHERE id=:id");
		$Update_Origine->bindValue(":cat",$_POST['titre_news_cat'], PDO::PARAM_STR);
		$Update_Origine->bindValue(":img",htmlentities($_POST['image_cat_news']) , PDO::PARAM_STR);
		$Update_Origine->bindValue(":description",htmlentities($_POST['sujet']) , PDO::PARAM_STR);
		$Update_Origine->bindValue(":id",$id, PDO::PARAM_INT);
		$Update_Origine->execute();
		redirection( '../admin/cat_news.php?rec=ok' );
		}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}						
}
}
if ( $mode == 'delet' && is_numeric($id) && $categorie[5] == 0 )
{
	try{
	$Delete_News = $WPM_new_Pdo->prepare("DELETE FROM cat_news WHERE id = ? ");
	$Delete_News->execute(array($id));
	redirection( '../admin/cat_news.php?mode=read&rec=ok' );
	}
		catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}
}
$Tpl->assign_vars( array(			
	'CAT_NEWS'		=> !isset($_POST['upload'] )? '<textarea id="newst" wrap="virtual" style="width:100%; height:200px; resize: none;" name="sujet"  >'.str_replace("<br />", "",stripslashes($categorie[2])).'</textarea>' : '<textarea id="newst" wrap="virtual" style="width:100%; height:200px; resize: none;" name="sujet"  >'.str_replace("<br />", "",stripslashes($_POST['sujet'].$Result_files_id)).'</textarea>' ,
	'WPM_CODE'		=> $code_bouton['wpmcode'] ,
	'IMG_CARROU'	=> stripslashes($categorie[1]),
	'URL_CARROU'	=> stripslashes($categorie[2]),
	'NO_CAT'		=> $count_catnews == 0 ? '<tr><td class="tcat" colspan="5" align="center"><center><span class="petit">il n\'y a pas de cat&eacute;gories</span></center></td></tr>' : '',
	'NB_CAT'		=> $count_catnews >= 1 ? ($count_catnews == 1 ? '(Il y a '.$count_catnews.' cat&eacute;gorie)' : '(Il y a '.$count_catnews.' cat&eacute;gories)')  :'',
	'NO_DEFAULT'	=> $count_nocatnews == 1 ? '<a href="cat_news.php?mode=nodefaut" title="Clic pour d&eacute;signer par dfaut">Afficher toutes les news sur l\'index</a>' : 'Tous les news sont affiches sur l\'index',
	'NO_DEFAULT_BG'	=> $count_nocatnews == 0 ? '#C1F5CD' :'',
	

	'CAT_CLASSIC_OK'		=> $config['cat_news_sys'] == 0 ? 'checked="checked"' : '',
	'CAT_DATE_OK'			=> $config['cat_news_sys'] == 1 ? 'checked="checked"' : '',
	'CAT_CATEGORIE_OK'		=> $config['cat_news_sys'] == 2 ? 'checked="checked"' : '',
	
	'CAT_KO'		=> $config['emplacement_cat_news'] == 0 ? 'checked="checked"' : '',
	'CAT_HAUT'		=> $config['emplacement_cat_news'] == 1 ? 'checked="checked"' : '',
	'CAT_BLOK'		=> $config['emplacement_cat_news'] == 2 ? 'checked="checked"' : '',
));
	
if( $_GET['rec'] && $_GET['rec'] == 'ok' )
{
$Tpl->create_block( 'inforec' );
}

$Tpl->pparse( 'catnews' );
include( $location . 'admin/footer.php' );
?>