<?php

define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );
// On inclu le header
include( $location . 'admin/header.php' );
if( isset($_GET['mode']) || isset($_POST['mode']) )
{
	$mode = ( isset($_GET['mode']) ) ? htmlSpecialChars($_GET['mode']) : htmlSpecialChars($_POST['mode']);
}
else
{
	$mode = '';
}
//Test si $page est numrique (pour viter les URL du style: pages.php?page=bonjour&mode=modifier qui renvoi avec intval() vers l'dition de la page 0

$Cache->load_table( 'pages' );

// Chargement du template
$Tpl->set_filenames( array( 'link' => 'admin/pages_code.tpl' ) );


// Chargement des variables de langues communes
$Tpl->assign_vars( array(
	'RACINE' 						=> $location,

	'CATEGORIES'					=> liste_categories( 'categorie', $page ),
	'L_PAGES_GESTION_TITRE' 		=> $langue['pages_gestion_titre'],
	'L_PAGES_GESTION_DROIT' 		=> $langue['pages_gestion_droit'],
	'L_PAGES_CONFIGURATION_TITRE'	=> $langue['pages_configuration_titre'],
	'L_PAGES_EDITEUR_TITRE'			=> $langue['pages_editeur_titre'],
	'L_PAGES_EDITEUR_EXP'			=> $langue['pages_editeur_exp'],
	'L_PAGES_TITRE'					=> $langue['pages_titre'],
	'L_PAGES_EMPLACEMENT' 			=> $langue['pages_emplacement'],
	'L_PAGES_CATEGORIES' 			=> $langue['pages_categories'],
	'L_PAGES_ACTIVATION'			=> $langue['pages_activation'],
	'L_PAGES_KEYWORD'				=> $langue['pages_keyword'],
	'L_PAGES_ADRESSE'				=> $type != '' && $type!= 'article' ? $langue['pages_adresse_' . $type . ''] : '',
	'L_PAGES_HEIGHT'				=> $langue['pages_height'],
	'L_PAGES_WIDTH'					=> $langue['pages_height'],

	'L_ENREGISTREMENT' 				=> $langue['enregistrement_reussi'],
	'L_HAUT' 						=> $langue['haut'],
	'L_GAUCHE' 						=> $langue['gauche'],
	'L_CACHE'						=> $langue['cache'],
	'L_RETOUR'						=> $langue['retour'],
	'L_SOUMETTRE' 					=> $langue['soumettre'],

	'U_ACTION' 						=> ( $mode == 'modifier' && $page != '' ) ? ajout_sid( 'pages.php?type=' . $type . '&amp;mode=modifier&amp;page=' . $page, TRUE ) : ajout_sid( 'pages.php', TRUE ),
) );


if( isset( $_POST['soumettre'] ) )
{
	$pages[] = array(
		'type' => 'code',
		'titre' => $_POST['titre'],
		'emplacement' => $_POST['emplacement'],
		'activation' => $_POST['activation'],
		'categorie' => $_POST['categorie'],
		'page' => array( stripslashes( $_POST['page_text_0'] ) ),
		'membre' => $_POST['membre'],
		);

		$Cache->write_in_cache( $pages, 'pages' );
		redirection('./pages.php');
	}



/*/ Si le formulaire est soumis on enregistre la page
if( isset($_POST['soumettre'] ) )
{
			$page_titre = stripslashes( htmlentities( trim( $_POST['titre'] ) ) );
			$page_page = $_POST['page_text_0'] ;
			$page_emplacement = $_POST['emplacement'];
			$page_type = 'lien';
			$page_activation = $_POST['activation'];
			$page_categorie = $_POST['categorie'];
			$page_height = '0';
			$page_width = '0';
			$page_keyword = stripslashes( htmlentities( trim( $_POST['keyword'] ) ) );
			$page_membre = $_POST['membre'];
	
		$page_link[] = array( 'titre' => $page_titre , 'page' => $page_page , 'emplacement' => $page_emplacement , 'type' => $page_type , 'activation' => $page_activation , 'categorie' => $page_categorie , 'height' => $page_height , 'width'	=> $page_width , 'keyword' => $page_keyword , 'membre' => $page_membre );

		$Cache->write_in_cache( $page_link, 'pages' );
	redirection( 'pages.php' );
}
/*
if( isset($_POST['soumettre']) ) 
	  	{
   $categorie = htmlspecialchars($_POST['categorie']);
   $description = $_POST['description'];
   $icone = $_POST['icone'];
   
   $cat_boutique[] = array('categorie' => $categorie , 'description' => $description , 'icone' => $icone);			
   $Cache->write_in_cache($cat_boutique, 'cat_boutique' );			
   redirection ('boutique.php');
	 	 }
*/




// Test si l'utilisateur est le fondateur
if( isset($_SESSION['pseudo']) )
{
	$Tpl->create_block( 'fondateur' );
}

// Si l'enregistrement est OK
if( isset( $_GET['rec'] ) == 'ok' )
{
	$Tpl->create_block( 'enregistrement_reussi' );
}

$Tpl->pparse( 'link' );

include( $location . 'admin/footer.php' );
?>