<?php

define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On inclu le header
include( $location . 'admin/header.php' );
// On charge les pages

//
// Rcupration des donnes
if( isset($_GET['mode']) || isset($_POST['mode']) )
{
	$mode = ( isset($_GET['mode']) ) ? htmlSpecialChars($_GET['mode']) : htmlSpecialChars($_POST['mode']);
}
else
{
	$mode = '';
}
//Test si $page est numrique (pour viter les URL du style: pages.php?page=bonjour&mode=modifier qui renvoi avec intval() vers l'dition de la page 0

$Cache->load_table( 'pages' );

//include( $location . 'cache/fichier_pages.php' );
// Chargement du template
$Tpl->set_filenames( array( 'corps' => 'admin/pages_lien.tpl' ) );
//$type != '' ? $Tpl->set_filenames( array( 'corps' => 'admin/pages_' . $type . '.tpl' ) ) : $Tpl->set_filenames( array( 'corps' => 'admin/pages.tpl' ) );





// Chargement des variables de langues communes
$Tpl->assign_vars( array(
	'RACINE' 						=> $location,
	'PAGES_TITRE' 					=> isset( $pages[$page]['titre'] ) ? stripslashes( $pages[$page]['titre'] ) : '',
	'SELECTED_HAUT' 				=> isset( $pages[$page]['emplacement'] ) && $pages[$page]['emplacement'] == 'haut' ? 'selected="selected"' : '',
	'SELECTED_GAUCHE' 				=> isset( $pages[$page]['emplacement'] ) && $pages[$page]['emplacement'] == 'gauche' ? 'selected="selected"' : '',
	'SELECTED_CACHE' 				=> isset( $pages[$page]['emplacement'] ) && $pages[$page]['emplacement'] == 'cache' ? 'selected="selected"' : '',
	'CATEGORIES'					=> liste_categories( 'categorie', $page ),
	'PAGES_TYPE'					=> $type,
	'ACTIVATION'					=> $pages_activation,
	'PAGES_KEYWORD'					=> isset( $pages[$page]['keyword'] ) ? $pages[$page]['keyword'] : '',
	'PAGES_ADRESSE' 				=> isset( $pages[$page]['page'][0] ) ? stripslashes( $pages[$page]['page'][0] ) : '',
	'PAGES_HEIGHT'					=> isset( $pages[$page]['height'] ) ? $pages[$page]['height'] : '',
	'PAGES_WIDTH'					=> isset( $pages[$page]['width'] ) ? $pages[$page]['width'] : '',

	'L_PAGES_GESTION_TITRE' 		=> $langue['pages_gestion_titre'],
	'L_PAGES_GESTION_DROIT' 		=> $langue['pages_gestion_droit'],
	'L_PAGES_CONFIGURATION_TITRE'	=> $langue['pages_configuration_titre'],
	'L_PAGES_EDITEUR_TITRE'			=> $langue['pages_editeur_titre'],
	'L_PAGES_EDITEUR_EXP'			=> $langue['pages_editeur_exp'],
	'L_PAGES_TITRE'					=> $langue['pages_titre'],
	'L_PAGES_EMPLACEMENT' 			=> $langue['pages_emplacement'],
	'L_PAGES_CATEGORIES' 			=> $langue['pages_categories'],
	'L_PAGES_ACTIVATION'			=> $langue['pages_activation'],
	'L_PAGES_KEYWORD'				=> $langue['pages_keyword'],
	'L_PAGES_ADRESSE'				=> $type != '' && $type!= 'article' ? $langue['pages_adresse_' . $type . ''] : '',
	'L_PAGES_HEIGHT'				=> $langue['pages_height'],
	'L_PAGES_WIDTH'					=> $langue['pages_height'],

	'L_ENREGISTREMENT' 				=> $langue['enregistrement_reussi'],
	'L_HAUT' 						=> $langue['haut'],
	'L_GAUCHE' 						=> $langue['gauche'],
	'L_CACHE'						=> $langue['cache'],
	'L_RETOUR'						=> $langue['retour'],
	'L_SOUMETTRE' 					=> $langue['soumettre'],

	'U_ACTION' 						=> ajout_sid($location . 'admin/pages_url.php?mode=ajouter', TRUE),
) );


// Si le formulaire est soumis on enregistre la page
if ( $mode == 'ajouter' )
{
if( isset( $_POST['soumettre'] ) )
{
	$pages[] = array(
		'type' => 'lien',
		'titre' => $_POST['titre'],
		'emplacement' => $_POST['emplacement'],
		'activation' => $_POST['activation'],
		'categorie' => $_POST['categorie'],
		'page' => array( stripslashes( $_POST['page_text_0'] ) ),
		'membre' => $_POST['membre'],
		);

		$Cache->write_in_cache( $pages, 'pages' );
		redirection('./pages.php');
	}
}
/*	
if ( $mode == 'ajouter' )
{
	if( isset( $_POST['soumettre'] ) )
	{	
		$new[] = array(
			'date'		=> $_POST['date'],
			'titre'		=> stripslashes($_POST['titre']),
			'auteur'	=> $_POST['auteur'],
			'sujet'		=> stripslashes($_POST['sujet']),
			'image'		=> $_POST['image'],
		);

		$Cache->write_in_cache($new, 'new' );
		redirection('./news.php');
	}
	}
*/

// Test si l'utilisateur est le fondateur
if( defined( 'FONDATEUR' ) )
{
	$Tpl->create_block( 'fondateur' );
}

// Si l'enregistrement est OK
if( isset( $_GET['rec'] ) == 'ok' )
{
	$Tpl->create_block( 'enregistrement_reussi' );
}

$Tpl->pparse( 'corps' );

include( $location . 'admin/footer.php' );
?>