<?php
define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On charge le header
include( $location . 'admin/header.php' );


if( $utilisateur['acp'] != 1 )
{
	redirection( 'index.php' );
}


// Si le formulaire est soumis
if( isset( $_POST['soumettre'] ) )
{
	$upload = new upload( $location );
	
	// On upload et on dcompresse l'archive
	if( $_FILES['theme']['name'] != '' )
	{
		$upload->assign_extensions( array( 'zip' ) );
		$upload->assign_file_to_upload( $_FILES['theme']['name'], $_FILES['theme']['tmp_name'] );
		$theme = $upload->upload_file();
		
		if( $upload->extension == 'zip' )
		{
			$archive = new PclZip( $location . $theme  );
			if( $archive->extract( PCLZIP_OPT_PATH, $location.'admin/'  ) == 0 )
			{
				die( $archive->errorInfo( TRUE ) );
			}
			else
			{
				unlink( $location );
			}
			
		}
		@unlink('../'.$theme);
		redirection( 'patch.php?up=ok' );
	}
}

// On charge le tpl
$Tpl->set_filenames( array( 'corps' => 'admin/patch.tpl' ) );

$Tpl->assign_vars( array(
	'RACINE'						=> $location,

	'U_ACTION' 						=> ajout_sid( 'patch.php', TRUE ),
	
	'L_THEMES_TITRE'				=> $langue['themes_titre'],
	'L_THEMES_UPLOAD_OK'			=> $langue['themes_upload_ok'],
	'L_THEMES_EMPLACEMENT_TITRE'	=> $langue['themes_emplacement_titre'],
	'L_THEMES_EMPLACEMENT_EXP'		=> $langue['themes_emplacement_exp'],
	'L_SOUMETTRE' 					=> $langue['soumettre'],
) );
// Si l'upload est OK
if( isset( $_GET['up'] ) == 'ok' )
{
	$Tpl->create_block( 'patch_ok' );
}


if( isset( $_GET['name'] ) || isset( $_POST['name'] ) )
{
	$name = ( isset( $_GET['name'] ) ) ? htmlSpecialChars( $_GET['name'] ) : htmlSpecialChars( $_POST['name'] );
}
else
{
	$name = '';
}


$liste_fichier = liste_fichiers( $location .'/admin/' );
if( count( $liste_fichier ) != 0 )
{
	for( $i = 0; $i < count( $liste_fichier ); $i++ )
	{
		if ( basename(substr($liste_fichier[$i], 0, 4)) == 'maj-')
		{
		$Tpl->assign_block_vars( 'patch_list', array(
			'SAVE_NOM'		=> '<img src="../img/sys/page_white_php.png" alt=""> &nbsp; <a href="'.$liste_fichier[$i].'" title="commencer la mise a jour '.basename(substr($liste_fichier[$i], 0, -4)).' ">'.basename(substr($liste_fichier[$i], 0, -4)).'</a><br>',

		) );
		}
	}
}


$Tpl->pparse( 'corps' );

// On charge le footer
include( $location . 'admin/footer.php' );
?>