<?php

// Chargement de la librairie xajax
require_once( 'xajax.inc.php' );

// Cration de la nouvelle instance de xajax
$xajax = new xajax( '../includes/class/xajax/xajaxFonctionsAdmin.php' );

// Enregistrement de la configuration de Mon_Portfolio
function save_configuration_form( $aFormValues )
{
	global $config;

	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage
	define( 'IN_PORTFOLIO', TRUE );
	include( $location . 'start.php' );

	// Enregistrement de la configuration
	reset( $config );
	foreach( $config as $cle => $valeur )
	{
		if( $cle == 'description' )
		{
			$config[$cle] = ( !isset( $aFormValues[$cle] ) ) ? $valeur : stripslashes( $aFormValues[$cle] );
		}
		else
		{
			$config[$cle] = ( !isset( $aFormValues[$cle] ) ) ? $valeur : stripslashes( htmlentities( $aFormValues[$cle] ) );
		}
	}
	synchro_htaccess( $location, $config['domaine'], $aFormValues['erreur404'], $aFormValues['url_rewriting'] );
	$config = $Cache->convert_to_normal_array( $config );
	$Cache->write_in_cache( $config, 'config' );

	// Cration de la nouvelle instance de rponse de xajax, prparation de la rponse, ractivation du bouton
	$objResponse = new xajaxResponse();
	$objResponse->addAssign( 'ajax_configuration_page', 'innerHTML', '<img src="../img/sys/ok.png" width="16" height="16" border="0" style="vertical-align: -25%;" alt="" />&nbsp;' . $langue['enregistrement_reussi'] );

	// Ractivation du bouton
	$objResponse->addAssign( 'soumettre', 'disabled', false );

	// Envoi de la rponse
	return $objResponse->getXML();
}
//include( '../langues/fr/langue_bbcode.php' );
// Fonction de lancement de FCKeditor pour l'edition des pages
function start_pages_article_form( $page, $feuille, $sid )
{
	global $pages;

	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage ainsi que le fichier cache contenant les pages et on dmarre les sessions
	define( 'IN_PORTFOLIO', TRUE );
	include( $location . 'start.php' );
	include( $location . 'cache/fichier_pages.php' );
	

	/* Dfinition du formulaire FCKeditor
    include( $location . 'fckeditor/fckeditor.php' );
	$oFCKeditor = new FCKeditor( 'page' );
	$oFCKeditor->BasePath = '../fckeditor/';
	$oFCKeditor->Config['CustomConfigurationsPath'] = '../../includes/js/fckconfig.js';
	$oFCKeditor->Value = isset( $pages[$page]['page'][$feuille] ) ? stripslashes( $pages[$page]['page'][$feuille] ) : '';
	$oFCKeditor->Width  = '100%';
	$oFCKeditor->Height = '500';
	$oFCKeditor->ToolbarSet = 'Default';
*/

	// Cration du formulaire
	$pageTextarea = '<form id="pages_article_form" name="pages_article_form" action="javascript:void(null);">';
	$pageTextarea .= $code_bouton['wpmcode'];
	$pageTextarea .= '<textarea id="newst" wrap="virtual" style="width:100%; height:500px; resize: none;" name="sujet"  >'.str_replace("<br />", "",isset( $pages[$page]['page'][$feuille] ) ? stripslashes( $pages[$page]['page'][$feuille] ) : "").'</textarea>';
	$pageTextarea .= '<center><input  name="soumettre" onClick="submit_pages_article_form( ' . $page . ', ' . $feuille . ', \'' . htmlentities( $sid ) . '\' ); return false;" type="submit" value="soumettre" />&nbsp;';
	$pageTextarea .= '<input   name="annuler" onClick="xajax_cancel_pages_article_form(); return false;" type="submit" value="Annuler" /></center>';

	$pageTextarea .= '</form>';

	// Cration de la nouvelle instance de rponse de xajax et prparation de la rponse
	$objResponse = new xajaxResponse();
	$objResponse->addAssign( 'ajax_pages_article_edit', 'innerHTML' , $pageTextarea );

	return $objResponse->getXML();
}

// Enregistrement des articles
function save_pages_article_form( $aFormValues, $page, $feuille, $sid )
{
	global $pages;

	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage ainsi que le fichier cache contenant les pages
	define( 'IN_PORTFOLIO', TRUE );
	define( 'AJAX', TRUE );
	include( $location . 'start.php' );
	include( $location . 'cache/fichier_pages.php' );
	demarrer_session( $sid );

	// Enregistrement du contenu de la page dans le tableau $pages
	$pages[$page]['type'] = 'article';
	$pages[$page]['page'][$feuille] = stripslashes( $aFormValues['page'] );

	// Ecriture du contenu dans le cache
	$Cache->write_in_cache( $pages, 'pages', count( $pages ) );

	// Cration de la nouvelle instance de rponse de xajax et prparation de la rponse
	$objResponse = new xajaxResponse();
	$objResponse->addRedirect( ajout_sid( 'pages.php?type=article&mode=modifier&rec=ok&page=' . $page, FALSE ) );
	// $objResponse->addAssign( 'ajax_pages_article_edit', 'innerHTML', '<center><img src="../img/sys/ok.png" width="16" height="16" border="0" align="top" alt="" />&nbsp;' . $langue['enregistrement_reussi'] . '</center>' );

	// Envoi de la rponse
	return $objResponse->getXML();
}

// Annulation de l'dition
function cancel_pages_article_form()
{
	// Racine du site
	$location = '../../../';

	// On inclu le fichier de dmarrage ainsi que le fichier cache contenant les pages
	define( 'IN_PORTFOLIO', TRUE );
	include( $location . 'start.php' );

	// Cration de la nouvelle instance de rponse de xajax et prparation de la rponse
	$objResponse = new xajaxResponse();
	$objResponse->addAssign( 'ajax_pages_article_edit', 'innerHTML', '' );

	// Envoi de la rponse
	return $objResponse->getXML();
}

// Enregistrement des fonctions
$xajax->registerFunction( 'save_configuration_form' );
$xajax->registerFunction( 'start_pages_article_form' );
$xajax->registerFunction( 'save_pages_article_form' );
$xajax->registerFunction( 'cancel_pages_article_form' );

// Options pour un encodage correct des caractres
$xajax->decodeUTF8InputOn();
$xajax->outputEntitiesOn();

// Lancement des requtes
$xajax->processRequests();
?>