function hidestatus() {
	window.status = '';
	return true;
}

/* Fonction permettant d'afficher des lments */
function afficher(id) {
	var affiche = document.getElementById(id);
	affiche.style.display = "";
}

/* Fonction permettant de cacher/afficher des lments */
function afficher_cacher(id) {
	var div = document.getElementById(id);
    if (div.style.display == "none") {
		div.style.display = "";
		EcrireCookie(id, "");
    }
    else {
		div.style.display = "none";
		EcrireCookie(id, "none");
    }
}

/* Fonction permettant de crer un cookie */
function EcrireCookie(nom, valeur) {
	var argv = EcrireCookie.arguments;
	var argc = EcrireCookie.arguments.length;
	var expires = (argc > 2) ? argv[2] : null;
	var path = (argc > 3) ? argv[3] : null;
	var domain = (argc > 4) ? argv[4] : null;
	var secure = (argc > 5) ? argv[5] : false;
	document.cookie = nom+"="+escape(valeur)+
		((expires==null) ? "" : ("; expires="+expires.toGMTString()))+
		((path==null) ? "" : ("; path="+path))+
		((domain==null) ? "" : ("; domain="+domain))+
		((secure==true) ? "; secure" : "");
}

/* Fonctions permettant de lire un cookie */
function getCookieVal(offset) {
	var endstr = document.cookie.indexOf (";", offset);
	if (endstr == -1) endstr = document.cookie.length;
	return unescape(document.cookie.substring(offset, endstr));
}
function LireCookie(nom) {
	var arg = nom+"=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while (i < clen)
	{
		var j = i+alen;
		if (document.cookie.substring(i, j) == arg) return getCookieVal(j);
		i = document.cookie.indexOf(" ",i)+1;
		if (i == 0) break;
	}
	return null;
}

/* Fonction de redimensionnement automatique d'une iframe */
function autoResize( iframe ) {
	try {
		var innerDoc = (iframe.contentDocument) ? iframe.contentDocument : iframe.contentWindow.document;
		if (innerDoc.body.offsetHeight) //ns6 syntax
		{
			iframe.height = innerDoc.body.offsetHeight + 60; //Extra height FireFox
		}
		else if (iframe.Document && iframe.Document.body.scrollHeight) //ie5+ syntax
		{
			iframe.height = iframe.Document.body.scrollHeight;
		}
	}
	catch(err) {
		alert( err.message );
	}
}

/* Fonction de highlight sur les images */
function smfFooterHighlight(element, value, racine) {
	element.src = racine + "img/sys/" + (value ? "h_" : "") + element.id + ".png";
}

/* Fonction de vrification des adresses mail */
function verif_mail(formulaire, message) {
	adresse = formulaire.mail.value;
	var place = adresse.indexOf("@", 1);
	var point = adresse.indexOf(".", place + 1);
	if ((place > - 1) && (adresse.length > 2) && (point > 1)) {
		formulaire.submit();
		return( true );
	}
	else {
		alert(message);
		return( false );
	}
}

/* Fonction permettant de dsactiver le champs "catgorie" lorsqu'une page est place dans le menu du "haut" */
function cat( controleur, controle) {
	var objControleur = document.getElementById( controleur );
	var objControle = document.getElementById( controle );
	var selIndex = objControleur.selectedIndex;
	objControle.disabled = ( objControleur.options[selIndex].value == 'haut' || objControleur.options[selIndex].value == 'cache' ) ? true : false;
	return( true );
}

/* Fonction permettant de rcuprer le contenu XHTML d'un formulaire FCKeditor */
function getEditorValue( instanceName )
{
	// Rcupre l'instance de l'diteur avec laquel on doit intragir
	var oEditor = FCKeditorAPI.GetInstance( instanceName ) ;
	// Rcupre le contenu XHTML de l'diteur ("True" signifie que le contenu sera formatt)
	return oEditor.GetXHTML( true ) ;
}

/////////////////////////
///////// Browser JS ////
/////////////////////////


var BrowserDetect = {
	init: function () {
		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| "an unknown version";
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
	},
	searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	dataBrowser: [
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari"
		},
		{
			prop: window.opera,
			identity: "Opera"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	dataOS : [
		{
			string: navigator.platform,
			subString: "Win",
			identity: "Windows"
		},
		{
			string: navigator.platform,
			subString: "Mac",
			identity: "Mac"
		},
		{
			string: navigator.platform,
			subString: "Linux",
			identity: "Linux"
		}
	]

};
BrowserDetect.init();



//////////////// 
// POP UP JS ///
////////////////

function getposOffset(overlay, offsettype)
 {
	var totaloffset=(offsettype=="left")? overlay.offsetLeft : overlay.offsetTop;
	var parentEl=overlay.offsetParent;
	while (parentEl!=null)
	{
		totaloffset=(offsettype=="left")? totaloffset+parentEl.offsetLeft : totaloffset+parentEl.offsetTop;
		parentEl=parentEl.offsetParent;
		}
	return totaloffset;
	}

function overlay(curobj, subobjstr, opt_position)
 {
	if (document.getElementById){
	var subobj=document.getElementById(subobjstr)
	subobj.style.display=(subobj.style.display!="block")? "block" : "none"
	var xpos=getposOffset(curobj, "left")+((typeof opt_position!="undefined" && opt_position.indexOf("left")!=-1)? -(subobj.offsetWidth-curobj.offsetWidth) : 0) 
	var ypos=getposOffset(curobj, "top")+((typeof opt_position!="undefined" && opt_position.indexOf("bottom")!=-1)? curobj.offsetHeight : 0)
	subobj.style.left=xpos+"px"
	subobj.style.top=ypos+"px"
	return false
 }
 else
 return true
}

function overlayclose(subobj)
 {
  document.getElementById(subobj).style.display="none"
 }
 
 
 ////////////////// MP . JS ///////////////
 /////////////////////////////////////////
 



/* Wayfarer Tooltip
 * Version 1.0.9
 * Author Abel Mohler
 * URI: http://www.wayfarerweb.com/wtooltip.php
 * Released with the MIT License: http://www.wayfarerweb.com/mit.php
 */
(function($){ //jQuery.noConflict()compliant
    $.fn.wTooltip = function(o, callback){
        o = $.extend({ //defaults, can be overidden
            content: null, //string content for tooltip.
            ajax: null, //path to content for tooltip
            follow: true, //does tooltip follow the cursor?
            auto: true, //If false, tooltip won't automatically transition, it must be manually shown/hidden
            fadeIn: 0, //fade in, in milliseconds ("fast, "slow", etc may also be used)
            fadeOut: 0, //fade out, in milliseconds ("fast, "slow", etc may also be used)
            appendTip: document.body, //should probably not need to be overridden, but could be useful if you require a tip that remains relative to an exact point
            degrade: false, //if true, in IE6 tooltip will degrade to a title attribute message
            offsetY: 10, //offsetY and offsetX properties designate position from the cursor
            offsetX: 1,
            style: {},
            className: null, //to style the tooltip externally, pass a className or id
            id: null,
            callBefore: function(tooltip, node, settings){
            }, //called when mouse enters the area
            callAfter: function(tooltip, node, settings){
            }, //called when mouse leaves the area (same as "callback" option)
            clickAction: function(tooltip, node){
                $(tooltip).hide();
            }, //called when the element is clicked, with access to tooltip
            delay: 0, //delay (in milliseconds)before tooltip appears and callBefore executes
            timeout: 0 //delay (in milliseconds)before tooltip transitions away, and callAfter executes
        }, o ||
        {});

        if (!o.style && typeof o.style != "object") {
            o.style = {};
            o.style.zIndex = "1000";
        }
        else {
            o.style = $.extend({ //the default style rules of the tooltip
                border: "1px solid #B5BFC9",
                background: "#E9EFF7",
                color: "#000",
                padding: "4px",
                zIndex: "1000",
                textAlign: "left",
				fontSize: "10px",
				MozBorderRadius: "4px",
				borderRadius: "4px",
				boxShadow: "2px 5px 10px #000",
				MozBoxShadow: "2px 5px 10px #000",
				WebkitBoxShadow: "2px 5px 10px #000"
				
            }, o.style ||
            {});
        }

        if (typeof callback == "function")
            o.callAfter = callback || o.callAfter;

        o.style.display = "none", o.style.position = "absolute"; //permanent defaults
        //private settings
        var title, timeout, timeout2, iId, over = {}, firstMove = true, hovered = false, maxed = false, tooltip = document.createElement('div'), ie6 = (typeof document.body.style.maxWidth == "undefined") ? true : false, talk = (typeof $.talk == "function" && typeof $.listen == "function") ? true : false;

        if (o.id)
            tooltip.id = o.id;
        if (o.className)
            tooltip.className = o.className;

        o.degrade = (o.degrade && ie6) ? true : false; //only degrades if also IE6
        for (var p in o.style)//apply styles to tooltip
             tooltip.style[p] = o.style[p];

        function fillTooltip(condition){
            if (condition) {
                if (o.degrade)//replace html characters for proper degradation to title attribute
                    $(tooltip).html(o.content.replace(/<\/?[^>]+>/gi, ''));
                else //otherwise just fill the tooltip with content
                     $(tooltip).html(o.content);
            }
        }

        if (o.ajax) { //if o.ajax is selected, this will fill and thus override o.content
            $.get(o.ajax, function(data){
                if (data)
                    o.content = data;
                fillTooltip(o.content);
            });
        }

        function offConditions(that){
            function _offActions(that){
                if (title && !o.content) {
                    title = "";
                }
            }
            function _execute(){
                if (!hovered && o.auto) {
                    clearInterval(iId);
                    if (o.fadeOut) {
                        $(tooltip).fadeOut(o.fadeOut, function(){
                            _offActions(that);
                        });
                    }
                    else {
                        _offActions(that);
                        tooltip.style.display = "none";
                    }
                }
                if (typeof o.callAfter == "function")
                    o.callAfter(tooltip, that, o);
                if (talk)
                    o = $.listen(o);
            }
            if (o.timeout > 0) {
                timeout2 = setTimeout(function(){
                    _execute();
                }, o.timeout);
            }
            else {
                _execute();
            }
        }

        $(tooltip).hover(function(){
            hovered = true;
        }, function(){
            hovered = false;
            offConditions(over);
        });

        //initialize
        if (talk) { //A "channel" for plugins to "talk" to each other, and callbacks to manipulate settings
            o.key = tooltip;
            o.plugin = "wTooltip";
            o.channel = "wayfarer";
            $.talk(o);
        }

        fillTooltip(o.content && !o.ajax);
        $(tooltip).appendTo(o.appendTip);

        return this.each(function(){ //returns the element chain
            $(this).hover(function(){
                var that = this;
                clearTimeout(timeout2);
                if ((this.title || this.titleMemKeep) && !o.degrade && !o.content) {
                    title = this.title || this.titleMemKeep;
                    if(this.title) {
                        this.titleMemKeep = this.title;
                        this.title = "";
                    }
                }
                if (o.content && o.degrade)
                    this.title = tooltip.innerHTML;

                function _execute(){
                    if (typeof o.callBefore == "function")
                        o.callBefore(tooltip, that, o);
                    if (talk)
                        o = $.listen(o); //ping for new settings

                    var display;
                    if (o.content) {
                        if (!o.degrade)
                            display = "block";
                    }
                    else
                        if (title && !o.degrade) {
                            $(tooltip).html(unescape(title));
                            display = "block";
                            title = "";
                        }
                        else {
                            display = "none";
                        }
                    if (o.auto) {
                        if (display == "block" && o.fadeIn)
                            $(tooltip).fadeIn(o.fadeIn);
                        else
                            tooltip.style.display = display;
                    }
                }

                if (o.delay > 0) {
                    timeout = setTimeout(function(){
                        _execute();
                    }, o.delay);
                }
                else {
                    _execute();
                }
            }, function() {
                clearTimeout(timeout);
                var that = this;
                firstMove = true;
                if (!o.follow || maxed || ((o.offsetX < 0 && (0 - o.offsetX < $(tooltip).outerWidth())) && (o.offsetY > 0 && 0 - o.offsetY < $(tooltip).outerHeight()))) {
                    setTimeout(function(){
                        iId = setInterval(function(){
                            offConditions(that)
                        }, 1)
                    }, 1);
                }
                else {
                    offConditions(this);
                }
            });

            $(this).mousemove(function(e){
                over = this; //tracks the event trigger in the plugin-global "over"
                if (o.follow || firstMove) {
                    var scrollY = $(window).scrollTop(), scrollX = $(window).scrollLeft(), top = e.clientY + scrollY + o.offsetY, left = e.clientX + scrollX + o.offsetX, outerH = $(o.appendTip).outerHeight(), innerH = $(o.appendTip).innerHeight(), maxLeft = $(window).width() + scrollX - $(tooltip).outerWidth(), maxTop = $(window).height() + scrollY - $(tooltip).outerHeight();

                    top = (outerH > innerH) ? top - (outerH - innerH) : top; //if appended area (usually BODY) has a border on top, adjust
                    maxed = (top > maxTop || left > maxLeft) ? true : false;

                    if (left - scrollX <= 0 && o.offsetX < 0)
                        left = scrollX;
                    else
                        if (left > maxLeft)
                            left = maxLeft;
                    if (top - scrollY <= 0 && o.offsetY < 0)
                        top = scrollY;
                    else
                        if (top > maxTop)
                            top = maxTop;

                    tooltip.style.top = top + "px";
                    tooltip.style.left = left + "px";
                    firstMove = false;
                }
            });

            if (typeof o.clickAction == "function") {
                $(this).click(function(){
                    o.clickAction(tooltip, this);
                });
            }
        });
    }
})(jQuery);

/*!
 * jQuery Cookie Plugin
 * https://github.com/carhartl/jquery-cookie
 *
 * Copyright 2011, Klaus Hartl
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.opensource.org/licenses/GPL-2.0
 */
(function($) {
    $.cookie = function(key, value, options) {

        // key and at least value given, set cookie...
        if (arguments.length > 1 && (!/Object/.test(Object.prototype.toString.call(value)) || value === null || value === undefined)) {
            options = $.extend({}, options);

            if (value === null || value === undefined) {
                options.expires = -1;
            }

            if (typeof options.expires === 'number') {
                var days = options.expires, t = options.expires = new Date();
                t.setDate(t.getDate() + days);
            }

            value = String(value);

            return (document.cookie = [
                encodeURIComponent(key), '=', options.raw ? value : encodeURIComponent(value),
                options.expires ? '; expires=' + options.expires.toUTCString() : '', // use expires attribute, max-age is not supported by IE
                options.path    ? '; path=' + options.path : '',
                options.domain  ? '; domain=' + options.domain : '',
                options.secure  ? '; secure' : ''
            ].join(''));
        }

        // key and possibly options given, get cookie...
        options = value || {};
        var decode = options.raw ? function(s) { return s; } : decodeURIComponent;

        var pairs = document.cookie.split('; ');
        for (var i = 0, pair; pair = pairs[i] && pairs[i].split('='); i++) {
            if (decode(pair[0]) === key) return decode(pair[1] || ''); // IE saves cookies with empty string as "c; ", e.g. without "=" as opposed to EOMB, thus pair[1] may be undefined
        }
        return null;
    };
})(jQuery);







(function(w){var E=w(window),u,f,F=-1,n,x,D,v,y,L,r,m=!window.XMLHttpRequest,s=[],l=document.documentElement,k={},t=new Image(),J=new Image(),H,a,g,p,I,d,G,c,A,K;w(function(){w("body").append(w([H=w('<div id="lbOverlay" />')[0],a=w('<div id="lbCenter" />')[0],G=w('<div id="lbBottomContainer" />')[0]]).css("display","none"));g=w('<div id="lbImage" />').appendTo(a).append(p=w('<div style="position: relative;" />').append([I=w('<a id="lbPrevLink" href="#" />').click(B)[0],d=w('<a id="lbNextLink" href="#" />').click(e)[0]])[0])[0];c=w('<div id="lbBottom" />').appendTo(G).append([w('<a id="lbCloseLink" href="#" />').add(H).click(C)[0],A=w('<div id="lbCaption" />')[0],K=w('<div id="lbNumber" />')[0],w('<div style="clear: both;" />')[0]])[0]});w.slimbox=function(O,N,M){u=w.extend({loop:false,overlayOpacity:0.8,overlayFadeDuration:400,resizeDuration:400,resizeEasing:"swing",initialWidth:250,initialHeight:250,imageFadeDuration:400,captionAnimationDuration:400,counterText:"Image {x} of {y}",closeKeys:[27,88,67],previousKeys:[37,80],nextKeys:[39,78]},M);if(typeof O=="string"){O=[[O,N]];N=0}y=E.scrollTop()+(E.height()/2);L=u.initialWidth;r=u.initialHeight;w(a).css({top:Math.max(0,y-(r/2)),width:L,height:r,marginLeft:-L/2}).show();v=m||(H.currentStyle&&(H.currentStyle.position!="fixed"));if(v){H.style.position="absolute"}w(H).css("opacity",u.overlayOpacity).fadeIn(u.overlayFadeDuration);z();j(1);f=O;u.loop=u.loop&&(f.length>1);return b(N)};w.fn.slimbox=function(M,P,O){P=P||function(Q){return[Q.href,Q.title]};O=O||function(){return true};var N=this;return N.unbind("click").click(function(){var S=this,U=0,T,Q=0,R;T=w.grep(N,function(W,V){return O.call(S,W,V)});for(R=T.length;Q<R;++Q){if(T[Q]==S){U=Q}T[Q]=P(T[Q],Q)}return w.slimbox(T,U,M)})};function z(){var N=E.scrollLeft(),M=E.width();w([a,G]).css("left",N+(M/2));if(v){w(H).css({left:N,top:E.scrollTop(),width:M,height:E.height()})}}function j(M){if(M){w("object").add(m?"select":"embed").each(function(O,P){s[O]=[P,P.style.visibility];P.style.visibility="hidden"})}else{w.each(s,function(O,P){P[0].style.visibility=P[1]});s=[]}var N=M?"bind":"unbind";E[N]("scroll resize",z);w(document)[N]("keydown",o)}function o(O){var N=O.keyCode,M=w.inArray;return(M(N,u.closeKeys)>=0)?C():(M(N,u.nextKeys)>=0)?e():(M(N,u.previousKeys)>=0)?B():false}function B(){return b(x)}function e(){return b(D)}function b(M){if(M>=0){F=M;n=f[F][0];x=(F||(u.loop?f.length:0))-1;D=((F+1)%f.length)||(u.loop?0:-1);q();a.className="lbLoading";k=new Image();k.onload=i;k.src=n}return false}function i(){a.className="";w(g).css({backgroundImage:"url("+n+")",visibility:"hidden",display:""});w(p).width(k.width);w([p,I,d]).height(k.height);w(A).html(f[F][1]||"");w(K).html((((f.length>1)&&u.counterText)||"").replace(/{x}/,F+1).replace(/{y}/,f.length));if(x>=0){t.src=f[x][0]}if(D>=0){J.src=f[D][0]}L=g.offsetWidth;r=g.offsetHeight;var M=Math.max(0,y-(r/2));if(a.offsetHeight!=r){w(a).animate({height:r,top:M},u.resizeDuration,u.resizeEasing)}if(a.offsetWidth!=L){w(a).animate({width:L,marginLeft:-L/2},u.resizeDuration,u.resizeEasing)}w(a).queue(function(){w(G).css({width:L,top:M+r,marginLeft:-L/2,visibility:"hidden",display:""});w(g).css({display:"none",visibility:"",opacity:""}).fadeIn(u.imageFadeDuration,h)})}function h(){if(x>=0){w(I).show()}if(D>=0){w(d).show()}w(c).css("marginTop",-c.offsetHeight).animate({marginTop:0},u.captionAnimationDuration);G.style.visibility=""}function q(){k.onload=null;k.src=t.src=J.src=n;w([a,g,c]).stop(true);w([I,d,g,G]).hide()}function C(){if(F>=0){q();F=x=D=-1;w(a).hide();w(H).stop().fadeOut(u.overlayFadeDuration,j)}return false}})(jQuery);

// AUTOLOAD CODE BLOCK (MAY BE CHANGED OR REMOVED)
if (!/android|iphone|ipod|series60|symbian|windows ce|blackberry/i.test(navigator.userAgent)) {
	jQuery(function($) {
		$("a[rel^='lightbox']").slimbox({/* Put custom options here */}, null, function(el) {
			return (this == el) || ((this.rel.length > 8) && (this.rel == el.rel));
		});
	});
}



(function ($) {
    "use strict";
    var formLabels = $.fn.formLabels = function (opts) {
        opts = $.extend({
            animationDuration: 300,
            excludeElts: '',        //elements to be excluded
            refreshOnResize: false, //whether or not refresh labels on 'resize' event for window
            safemode: false,        //enable safe mode without DOM modifications
            labelParent: 'form',    //specifies a block that will store the form labels (body or form)
            semantic: true          //if true, then plugin renders label before input box (works only if labelParent:'form')
        }, opts);
        var inputs = ["textarea", "input[type='email']", "input[type='text']", "input[type='password']"],
            getPropertyValue = function (prop) {
                return parseInt(this.css(prop), 10);
            },
            enabled = true,
            spanID = 0,
            context = this.length ? this : "body",
            elts = $(inputs.join(", "), context).not(opts.excludeElts).filter(":visible[title]"),
            refreshLabels = function () {
                elts.each(function () {
                    var $this = $(this),
                        assocSpan = $($this.data("spanID"));

                    assocSpan.position({
                        my: "left top",
                        at: "left top",
                        of: $this,
                        using: function (pos) {
                            var paddings = JSON.parse($this.data("paddings"));

                            $(this).css({
                                top: pos.top + paddings.top,
                                left: pos.left + paddings.left
                            });
                        },
                        collision: 'none'
                    });
                });
            };

        if (elts.length === 0) {
            return null;
        }

        if (opts.safemode === false) {
            elts.each(function () {
                var paddings, formLabel, label, labelParent, tagName,
                    $this = $(this);

                if (this.value === '' && (label = this.title) !== "") {
                    if (opts.labelParent === "form") {
                        labelParent = $this.closest("form");
                        tagName = "<label/>";
                    } else {
                        labelParent = $(opts.labelParent);
                        tagName = "<span/>";
                    }

                    if (labelParent.css("position") === "static" && !labelParent.data("processed")) {
                        labelParent.css({
                            position: "relative"
                        }).data("processed", true);
                    }

                    paddings = {
                        top: getPropertyValue.call($this, "padding-top") + 1,
                        left: Math.max(2, getPropertyValue.call($this, "padding-left") + 1)
                    };

                    formLabel = $(tagName, {
                        css: {
                            'font-family'       : $this.css("font-family"),
                            'font-size'         : $this.css("font-size"),
                            'font-style'        : $this.css("font-style"),
                            'font-weight'       : $this.css("font-weight"),
                            'text-shadow'       : ($.support.opacity) ? $this.css("text-shadow") : "",
                            'line-height'       : $this.css("line-height"),
                            'background-color'	: $this.css("background-color"),
                            'color'             : $this.css("color"),
                            'position'          : 'absolute',
                            'top'               : 0,
                            'left'              : 0,
                            '-moz-user-select'  : "none",
                            '-webkit-user-select'  : "none",
                            'user-select'       : "none",
                            'cursor'            : "text",
                            'z-index'           : "999"
                        },
                        id: "spanLabel" + spanID,
                        "for": ($this.attr("id") === "") ? "" : $this.attr("id"),
                        "class" : "fLabel",
                        html : label,
                        click : function () {
                            $this.trigger('focus');
                            return false;
                        }
                    });

                    if (opts.semantic && opts.labelParent === 'form') {
                        $this.before(formLabel);
                    } else {
                        formLabel.appendTo(labelParent);
                    }

                    formLabel.position({
                        my: "left top",
                        at: "left top",
                        of: $this,
                        using: function (pos) {
                            $(this).css({
                                top: pos.top + paddings.top,
                                left: pos.left + paddings.left
                            });
                        },
                        collision: 'none'
                    });

                    $this.data({
                        "spanID"    : "#spanLabel" + spanID,
                        "paddings"  : JSON.stringify(paddings)
                    });
                }
                spanID = spanID + 1; //Increasing spanID by one
            })
                .on('focus.formLabels blur.formLabels change.formLabels cut.formLabels paste.formLabels input.formLabels keyup.formLabels', function (e) {
                    if (enabled === false) {
                        return;
                    }

                    var LabelSpanID = $($.data(this, "spanID"));

                    if (e.type === 'focus') {
                        if (this.title !== "" && this.value === "") {
                            LabelSpanID.stop().fadeTo(opts.animationDuration, 0.2);
                        }
                    } else if (e.type === "blur") {
                        if (this.title !== "") {
                            if (this.value === "") {
                                LabelSpanID.stop().fadeTo(opts.animationDuration, 1, function () {
                                    if (!$.support.opacity) {
                                        this.style.removeAttribute("filter");
                                    }
                                });
                            } else {
                                LabelSpanID.stop().fadeOut(opts.animationDuration);
                            }
                        }
                    } else if (e.type === "change" || e.type === "cut" || e.type === "paste" || e.type === "input" || e.type === "keyup") {
                        this.title !== "" && LabelSpanID.stop().fadeOut(opts.animationDuration);
                        this.value === "" && LabelSpanID.stop().fadeTo(100, 0.2);
                    }

                });

            if (opts.refreshOnResize) {
                $(window).on("resize.formLabels", function () {
                    refreshLabels();
                });
            }
        } else {
            elts.val(function (i, v) {
                return v === "" ? this.title : v;
            });
            elts.on('focus.formLabels blur.formLabels', function (e) {
                if (enabled === false) {
                    return;
                }
                if (e.type === 'focus') {
                    (this.value === this.title) && (this.value = "");
                } else {
                    (this.value === "") && (this.value = this.title);
                }
            });
            $("input:image, button, input:submit", context).on("click.formLabels", function () {
                if (enabled === false) {
                    return;
                }

                elts.each(function () {
                    if (this.type === "email" || this.type === "text" || this.type === "textarea" || this.type === "password") {
                        if (this.value === this.title && this.title !== "") {
                            this.value = "";
                        }
                    }
                });
            });
        }

        return {
            refreshLabels: refreshLabels,

            destroy: function () {
                elts.each(function () {
                    var label = $.data(this, "spanID");
                    if (label) {
                        // remove from the dom
                        $(label).remove();
                        $.data(this, "spanID", null);
                    }

                }).off(".formLabels");
                $(window).off(".formLabels");
            },

            disable: function () {
                if (enabled === true) {
                    enabled = false;
                    elts.each(function () {
                        $($.data(this, "spanID")).hide();
                    });
                }
            },

            enable: function () {
                if (enabled === false) {
                    enabled = true;
                    elts.each(function () {
                        $($.data(this, "spanID")).show();
                    });
                }
            }
        };
    };
})(jQuery);



///////////////////// BROKEN IMAGE /////////////////////////////

$(function(){
	$('img').error(function(){
		$(this).attr({
			'src' : 'img/sys/fond_galerie.gif',
			'alt' : "Desole, l'image n'est pas disponible",
			
		});
	});
});

