<?php
define( 'IN_PORTFOLIO', TRUE );
$location = './';

// On inclu le header
include( $location . 'header.php' );
// On defini le template
$Tpl->set_filenames( array( 'index' => 'index.tpl' ) );

// Test puis suppression du fichier d'installation + affichage des pages
if ( file_exists( $location . 'installation.php' ) && !@unlink( $location . 'installation.php' ) )
{
	info( $langue['install_erreur_titre'], '<b><span style="color: rgb(255, 0, 0);">' . $langue['install_erreur_exp'] . '</span></b>' );
}
elseif ( file_exists( $location . 'installation.php' ) && !@unlink( $location . 'installation.php' ) )
{
	info( $langue['install_erreur_titre'], '<b><span style="color: rgb(255, 0, 0);">' . $langue['install_erreur_exp'] . '</span></b>' );
}
elseif( $pages[$page]['type'] == 'php' && $pages[$page]['activation'] == 'oui' )
{
	$Tpl->assign_vars( array(
		'CODE' => '',
	) );
	include( $pages[$page]['page'][0] );
}
elseif( $pages[$page]['activation'] == 'oui' && $pages[$page]['type'] == 'lien' )
{
	redirection( $pages[$page]['page'][0] );
}
elseif( $pages[$page]['type'] == 'code' )
{
	$Tpl->assign_vars( array(
		'CODE' => affiche_page( $config['erreur404'] ),
	) );
}
elseif( $pages[$page]['activation'] == 'oui' )
{
	$Tpl->assign_vars( array(
		'CODE' => wpmcode_parse(wpmsmilies(affiche_page( $page, $feuille ))),
	) );
}
else
{
	$Tpl->assign_vars( array(
		'CODE' => affiche_page( $config['erreur404'] ),
	) );
}
if( isset( $_SESSION['pseudo']  ) )
{
if ( $pages[$page]['membre'] == 'oui' )
{

$Tpl->create_block( 'membre' );

}
}

if ( $pages[$page]['membre'] == 'non' )
{
$Tpl->create_block( 'visiteur' );
}


if( isset( $_SESSION['pseudo']  ) )
{
$Tpl->create_block( 'loged' );

}



$Tpl->pparse( 'index' );



// On inclu le footer
include( $location . 'footer.php' );
?>