<?php
define( 'IN_PORTFOLIO', TRUE );
$location = '../';
include( $location . 'start.php' );

// On inclu le header
$id= ( isset($_GET['id']) ) ? intval( $_GET['id'] ) : intval($_POST['id']);

if( isset($_GET['mode']) || isset($_POST['mode']) )
{
	$mode = ( isset($_GET['mode']) ) ? htmlSpecialChars($_GET['mode']) : htmlSpecialChars($_POST['mode']);
}
else
{
	$mode = '';
}
include( $location . 'admin/header.php' );

try
{
$result_News = $WPM_new_Pdo->prepare("SELECT * FROM news  WHERE id=? ");		
$result_News->execute(array($id));
$NewsEdit = $result_News->fetch(PDO::FETCH_NUM);

$result_Cat = $WPM_new_Pdo->prepare("SELECT * FROM cat_news  WHERE id=? ");		
$result_Cat->execute(array($NewsEdit[10]));
$NewsCat = $result_Cat->fetch(PDO::FETCH_NUM);
}
catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}

$Tpl->set_filenames( array( 'new' => 'admin/edit_news.tpl' ) );
/********************************************
*
* On edite la news 
*
*********************************************/

if( isset( $_POST['soumettre'] ) )
{
	try{
		$Insert_Historique = $WPM_new_Pdo->prepare("INSERT INTO historique (user,date,action) VALUES (:user,:date,:action)");
		  $Insert_Historique->bindValue(':user',  $utilisateur['user'], PDO::PARAM_STR );
		  $Insert_Historique->bindValue(':date',date("d-m-Y").' &agrave; '.date("H:m:s"), PDO::PARAM_STR);
		  $Insert_Historique->bindValue(':action', '&Agrave; &eacute;diter la news : '.htmlentities($_POST['titre']).' depuis l\'ACP', PDO::PARAM_STR);
		  $Insert_Historique->execute();
		
		$Update_Origine=$WPM_new_Pdo->prepare("UPDATE news SET titre=:titre, auteur=:auteur , image=:image, sujet=:sujet WHERE id=:id ");
			$Update_Origine->bindValue(":titre",htmlentities($_POST['titre']), PDO::PARAM_STR);
			$Update_Origine->bindValue(":auteur",htmlentities($_POST['auteur']) , PDO::PARAM_STR);
			$Update_Origine->bindValue(":image",$_POST['image'], PDO::PARAM_STR);
			$Update_Origine->bindValue(":sujet",nl2br(str_replace("<br />", "\n",htmlentities($_POST['sujet']))), PDO::PARAM_STR);
			$Update_Origine->bindValue(":id",$id, PDO::PARAM_INT);
			$Update_Origine->execute();
		redirection( '../admin/edit_news.php?id='. $id , TRUE );
}
catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>');}		
	
}


if( isset($_POST['upload']) )
	{
	if( $utilisateur['ip'] == $_SERVER['REMOTE_ADDR'] )
 	{
		$dossier = '../upload_fichier/';
		//$fichier = basename($_FILES['uploadimg']['name']);
		$fichier = basename($_FILES['uploadimg']['name']);
		$taille = filesize($_FILES['uploadimg']['tmp_name']);
		$extensions = array('.png','.gif','.jpg','.zip','.rar');
		$extension = strrchr($_FILES['uploadimg']['name'], '.'); 
		//Début des vérifications de sécurité...
		if(!in_array($extension, $extensions) ) //Si l'extension n'est pas dans le tableau
		{
		
			$erreur = sprintf($fieldset['info_ko'], $langue['error_upload_type_files']);
		}
		if(!isset($erreur)) //S'il n'y a pas d'erreur, on upload
		{
			 //On formate le nom du fichier ici...
			 $fichier = strtr($fichier, 
				  'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ', 
				  'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
			 $fichier = preg_replace('/([^.a-z0-9]+)/i', '-', $utilisateur['user'].'-'.time().'-'.$fichier);
			 if(move_uploaded_file($_FILES['uploadimg']['tmp_name'], $dossier . $fichier)) //Si la fonction renvoie TRUE, c'est que ça a fonctionné...
			 {
		
		try{
				$Insert_UploadTreed = $WPM_new_Pdo->prepare("INSERT INTO upload_fichier (fichier_auteur,fichier_nom,fichier_date ) VALUES (:fichier_auteur,:fichier_nom,:fichier_date )");
				$Insert_UploadTreed->bindValue(':fichier_auteur', $utilisateur['user'], PDO::PARAM_STR);
				$Insert_UploadTreed->bindValue(':fichier_nom',$fichier, PDO::PARAM_STR);
				$Insert_UploadTreed->bindValue(':fichier_date',date("d-m-Y").' &agrave; '.date("H:i"), PDO::PARAM_STR);
				$Insert_UploadTreed->execute();
				}
				catch(PDOException $e)
				{
					echo '<fieldset style="background-color:#FDD0DC; border:1px solid #900; color:#000">Erreur lors de l\'insertion :<p> '.$e->getMessage().'</p></fieldset>';
				}
		}
			 else //Sinon (la fonction renvoie FALSE).
			 {
				 print sprintf($fieldset['info_ko'],  $langue['upload_error'] );
			 }
		}
		else
		{
			 print   $erreur ;
		}
	}
	else{
		$erreur_session_ip_user ='Erreur';
		}
	}


if( isset($_POST['upload']))
{
 if( $utilisateur['ip'] == $_SERVER['REMOTE_ADDR'] )
 	{	
	try
	{
	$Files_List_id = $WPM_new_Pdo->prepare("SELECT * FROM upload_fichier  WHERE fichier_nom =?  ORDER BY id DESC ");
	$Files_List_id->execute(array($fichier));
	 }
	catch(PDOException $e) { echo sprintf($fieldset['info_ko'], 'Erreur  :<p> '.$e->getMessage().'</p>'); }
	$nbmp = 0;
	$Result_files_id=array();
	while($upload_files_id = $Files_List_id->fetch())
    {	
	$nbmp++;							
	$Result_files_id[] =   ( preg_match('/\.(jpg|png|gif)(?:[\?\#].*)?$/i', $fichier , $matches) == 1 ? '[img]upload_fichier/'.$fichier.'[/img]' : '[fichier='.$fichier.'] '.$upload_files_id[0].'[/fichier][dll]'.substr(basename($_FILES['uploadimg']['name']), 0 , -4 ).' '. date('d-m-Y').'&agrave;'.date('H:i').'[/dll]' );					
	}
	$Result_files_id=implode('', $Result_files_id);	
	}
	else{
		$erreur_session_ip_user ='Erreur';	
	}
}
	
		
$Tpl->assign_vars( array(
	'SUJ_NEWS'		=> !isset($_POST['upload'] )? '<textarea id="newst" wrap="virtual" style="width:100%; height:200px; resize: none;" name="sujet"  >'.str_replace("<br />", "",stripslashes($NewsEdit[4])).'</textarea>' : '<textarea id="newst" wrap="virtual" style="width:100%; height:200px; resize: none;" name="sujet"  >'.str_replace("<br />", "",stripslashes($_POST['sujet'].$Result_files_id)).'</textarea>' ,
	'DATE'			=> $NewsEdit[1],
	'AUTEUR'		=> $NewsEdit[3],
	'TITRE'			=> stripslashes($NewsEdit[2]),
	'IMAGE'			=> $NewsEdit[5],
	'READ'			=> $NewsEdit[7],
	'COMNEWS'		=> $NewsEdit[8] == '' ? '0' : $NewsEdit[8],
	'CAT_NEWS'		=> $NewsCat[1],
	'CUT'			=> $NewsEdit[11],
	'WPM_CODE'		=> $code_bouton['wpmcode'] ,


));	

$Tpl->pparse('new');

// On inclu le footer
include( $location . 'admin/footer.php' );
?>