<?php
class upload
{
	var $dir = './';
	var $object = '';
	var $name = '';
	var $tmp_object = '';
	var $auth_extensions = array();

	/****************************
	* Constructeur, assigne un rpertoire
	****************************/
	function upload($dir)
	{
		$this->dir = $dir;
		@chmod($this->dir, 0755);
	}

	/****************************
	* Rcupre le nom et l'extension du fichier
	****************************/
	function assign_file_to_upload($object, $tmp_object)
	{
		$this->object = $object;
		$this->tmp_object = $tmp_object;

		$array = explode('.', $this->object);
		$this->extension = strtolower($array[count($array) - 1]);
		$this->name = strtolower($array[0]);
	}

	/****************************
	* Rcupre les extensions autorises pour le fichier
	****************************/
	function assign_extensions($auth_extensions)
	{
		if ( is_array($auth_extensions) )
		{
			$this->auth_extensions = $auth_extensions;
		}
		else
		{
			$this->auth_extensions[] = $auth_extensions;
		}
	}

	/****************************
	* Renvoie 1 si l'image passe rpond aux critres de taille maximale
	****************************/
	function check_size($file, $max_width, $max_height)
	{
		list($width, $height) = @getimagesize($file);
		return ($width <= $max_width && $height <= $max_height);
	}

	/****************************
	* Upload le fichier dfini
	****************************/
	function upload_file()
	{
		global $langue, $location;
		
		if ($this->auth_extensions && !@in_array($this->extension, $this->auth_extensions))
		{
			info( $langue['er_titre'], '<img src="' . $location . 'img/sys/error.png" width="16" height="16" border="0" align="top" alt="" />&nbsp;' . $langue['mauvaise_extension'] );
		}
		
		if ( ! @is_uploaded_file($this->tmp_object) )
		{
			info( $langue['er_titre'], '<img src="' . $location . 'img/sys/error.png" width="16" height="16" border="0" align="top" alt="" />&nbsp;' . $langue['erreur_upload'] );
		}

		if ( ! @move_uploaded_file($this->tmp_object, $this->dir . $this->object) )
       	{
           	info( $langue['er_titre'], '<img src="' . $location . 'img/sys/error.png" width="16" height="16" border="0" align="top" alt="" />&nbsp;' . $langue['er_deplacement_upload'] );
       	}

		@chmod($this->dir . $this->object, 0666);

		return ($this->object);
	}

	/****************************
	* Supprime tous les fichiers dont le nom matche celui pass en argument
	****************************/
	function delete_matches_files($dir, $pattern)
	{
		$_dir = @opendir($dir);
		while ($_file = @readdir($_dir))
		{
			if (preg_match('/^' . $pattern . '\./si', $_file))
			{
				@unlink($dir . $_file);
			}
		}
	}
}

?>