<?php
/*****************************************************
* Fonction de dmarrage d'une session
******************************************************/

function demarrer_session( $sid = '' )
{
	if( isset( $_GET['sid'] ) || $sid != '' )
	{
		session_id( htmlentities( isset( $_GET['sid'] ) ? $_GET['sid'] : $sid ) );
	}
	@session_start();
	
	
}

/*****************************************************
* Fonction de fermeture d'une session
*           ***************************
*           * $url : URL de redirection aprs destruction de la session
*           ***************************
******************************************************/
function fermer_session( $url )
{
	setcookie('pseudo', '' , 1);
	setcookie('id', '' , 1);
	@session_unset();
	@session_destroy();
	redirection( $url );
}

/*****************************************************
* Fonction d'ajout de l'id de session aux URL
*           ***************************
*           * $url : URL  traiter
*           ***************************
******************************************************/
function ajout_sid( $url, $lien = FALSE )
{
	if( ( defined('PAGE_CONNEXION') || defined('AJAX') || isset( $_GET['sid'] ) && $_GET['sid'] != '' ) && !strpos( $url, 'sid=' ) && !isset( $_COOKIE['SESSION_SID'] ) )
	{
		$sid = ( isset( $_GET['sid'] ) ? $_GET['sid'] : session_id() );
		$amp = $lien == TRUE ? '&amp;' : '&';
		$url .= ( strpos( $url, '?' ) == FALSE ) ? '?sid=' . $sid : $amp . 'sid=' . $sid;
	}
	return $url;
}


/*****************************************************
* Fonction de regnration de l'id de session
******************************************************/
function regenerer_session_id()
{
	if( version_compare( PHP_VERSION, '5.1.0', '>=' ) )
	{
		session_regenerate_id( TRUE );
	}
	elseif( version_compare( PHP_VERSION, '4.3.3', '>=' ) )
	{
		session_regenerate_id();
	}
}
?>